Package org.apache.qpid.proton.engine

# Class BaseHandler

java.lang.Object
org.apache.qpid.proton.engine.BaseHandler

All Implemented Interfaces:
  `CoreHandler`, `Handler`

Direct Known Subclasses:
  `FlowController`, `Handshaker`, `IOHandler`

public class BaseHandler extends Object implements CoreHandler
BaseHandler

## Constructor Summary

Constructors
Constructor
Description
`BaseHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Handler child)`
`Iterator<Handler>`
`children()`
`static Handler`
`getHandler(Extendable ext)`
`static Handler`
`getHandler(Record r)`
`void`
`handle(Event e)`
Handle the event in this instance.
`void`
`onConnectionBound(Event e)`
`void`
`onConnectionFinal(Event e)`
`void`
`onConnectionInit(Event e)`
`void`
`onConnectionLocalClose(Event e)`
`void`
`onConnectionLocalOpen(Event e)`
`void`
`onConnectionRemoteClose(Event e)`
`void`
`onConnectionRemoteOpen(Event e)`
`void`
`onConnectionUnbound(Event e)`
`void`
`onDelivery(Event e)`
`void`
`onLinkFinal(Event e)`
`void`
`onLinkFlow(Event e)`
`void`
`onLinkInit(Event e)`
`void`
`onLinkLocalClose(Event e)`
`void`
`onLinkLocalDetach(Event e)`
`void`
`onLinkLocalOpen(Event e)`
`void`
`onLinkRemoteClose(Event e)`
`void`
`onLinkRemoteDetach(Event e)`
`void`
`onLinkRemoteOpen(Event e)`
`void`
`onReactorFinal(Event e)`
`void`
`onReactorInit(Event e)`
`void`
`onReactorQuiesced(Event e)`
`void`
`onSelectableError(Event e)`
`void`
`onSelectableExpired(Event e)`
`void`
`onSelectableFinal(Event e)`
`void`
`onSelectableInit(Event e)`
`void`
`onSelectableReadable(Event e)`
`void`
`onSelectableUpdated(Event e)`
`void`
`onSelectableWritable(Event e)`
`void`
`onSessionFinal(Event e)`
`void`
`onSessionInit(Event e)`
`void`
`onSessionLocalClose(Event e)`
`void`
`onSessionLocalOpen(Event e)`
`void`
`onSessionRemoteClose(Event e)`
`void`
`onSessionRemoteOpen(Event e)`
`void`
`onTimerTask(Event e)`
`void`
`onTransport(Event e)`
`void`
`onTransportClosed(Event e)`
`void`
`onTransportError(Event e)`
`void`
`onTransportHeadClosed(Event e)`
`void`
`onTransportTailClosed(Event e)`
`void`
`onUnhandled(Event event)`
`static void`
`setHandler(Extendable ext, Handler handler)`
`static void`
`setHandler(Record r, Handler handler)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BaseHandler

public BaseHandler()

## Method Details

### getHandler

public static Handler getHandler(Record r)

### setHandler

public static void setHandler(Record r, Handler handler)

### getHandler

public static Handler getHandler(Extendable ext)

### setHandler

public static void setHandler(Extendable ext, Handler handler)

### onConnectionInit

public void onConnectionInit(Event e)

Specified by:
  `onConnectionInit` in interface `CoreHandler`

### onConnectionLocalOpen

public void onConnectionLocalOpen(Event e)

Specified by:
  `onConnectionLocalOpen` in interface `CoreHandler`

### onConnectionRemoteOpen

public void onConnectionRemoteOpen(Event e)

Specified by:
  `onConnectionRemoteOpen` in interface `CoreHandler`

### onConnectionLocalClose

public void onConnectionLocalClose(Event e)

Specified by:
  `onConnectionLocalClose` in interface `CoreHandler`

### onConnectionRemoteClose

public void onConnectionRemoteClose(Event e)

Specified by:
  `onConnectionRemoteClose` in interface `CoreHandler`

### onConnectionBound

public void onConnectionBound(Event e)

Specified by:
  `onConnectionBound` in interface `CoreHandler`

### onConnectionUnbound

public void onConnectionUnbound(Event e)

Specified by:
  `onConnectionUnbound` in interface `CoreHandler`

### onConnectionFinal

public void onConnectionFinal(Event e)

Specified by:
  `onConnectionFinal` in interface `CoreHandler`

### onSessionInit

public void onSessionInit(Event e)

Specified by:
  `onSessionInit` in interface `CoreHandler`

### onSessionLocalOpen

public void onSessionLocalOpen(Event e)

Specified by:
  `onSessionLocalOpen` in interface `CoreHandler`

### onSessionRemoteOpen

public void onSessionRemoteOpen(Event e)

Specified by:
  `onSessionRemoteOpen` in interface `CoreHandler`

### onSessionLocalClose

public void onSessionLocalClose(Event e)

Specified by:
  `onSessionLocalClose` in interface `CoreHandler`

### onSessionRemoteClose

public void onSessionRemoteClose(Event e)

Specified by:
  `onSessionRemoteClose` in interface `CoreHandler`

### onSessionFinal

public void onSessionFinal(Event e)

Specified by:
  `onSessionFinal` in interface `CoreHandler`

### onLinkInit

public void onLinkInit(Event e)

Specified by:
  `onLinkInit` in interface `CoreHandler`

### onLinkLocalOpen

public void onLinkLocalOpen(Event e)

Specified by:
  `onLinkLocalOpen` in interface `CoreHandler`

### onLinkRemoteOpen

public void onLinkRemoteOpen(Event e)

Specified by:
  `onLinkRemoteOpen` in interface `CoreHandler`

### onLinkLocalDetach

public void onLinkLocalDetach(Event e)

Specified by:
  `onLinkLocalDetach` in interface `CoreHandler`

### onLinkRemoteDetach

public void onLinkRemoteDetach(Event e)

Specified by:
  `onLinkRemoteDetach` in interface `CoreHandler`

### onLinkLocalClose

public void onLinkLocalClose(Event e)

Specified by:
  `onLinkLocalClose` in interface `CoreHandler`

### onLinkRemoteClose

public void onLinkRemoteClose(Event e)

Specified by:
  `onLinkRemoteClose` in interface `CoreHandler`

### onLinkFlow

public void onLinkFlow(Event e)

Specified by:
  `onLinkFlow` in interface `CoreHandler`

### onLinkFinal

public void onLinkFinal(Event e)

Specified by:
  `onLinkFinal` in interface `CoreHandler`

### onDelivery

public void onDelivery(Event e)

Specified by:
  `onDelivery` in interface `CoreHandler`

### onTransport

public void onTransport(Event e)

Specified by:
  `onTransport` in interface `CoreHandler`

### onTransportError

public void onTransportError(Event e)

Specified by:
  `onTransportError` in interface `CoreHandler`

### onTransportHeadClosed

public void onTransportHeadClosed(Event e)

Specified by:
  `onTransportHeadClosed` in interface `CoreHandler`

### onTransportTailClosed

public void onTransportTailClosed(Event e)

Specified by:
  `onTransportTailClosed` in interface `CoreHandler`

### onTransportClosed

public void onTransportClosed(Event e)

Specified by:
  `onTransportClosed` in interface `CoreHandler`

### onReactorInit

public void onReactorInit(Event e)

Specified by:
  `onReactorInit` in interface `CoreHandler`

### onReactorQuiesced

public void onReactorQuiesced(Event e)

Specified by:
  `onReactorQuiesced` in interface `CoreHandler`

### onReactorFinal

public void onReactorFinal(Event e)

Specified by:
  `onReactorFinal` in interface `CoreHandler`

### onTimerTask

public void onTimerTask(Event e)

Specified by:
  `onTimerTask` in interface `CoreHandler`

### onSelectableInit

public void onSelectableInit(Event e)

Specified by:
  `onSelectableInit` in interface `CoreHandler`

### onSelectableUpdated

public void onSelectableUpdated(Event e)

Specified by:
  `onSelectableUpdated` in interface `CoreHandler`

### onSelectableReadable

public void onSelectableReadable(Event e)

Specified by:
  `onSelectableReadable` in interface `CoreHandler`

### onSelectableWritable

public void onSelectableWritable(Event e)

Specified by:
  `onSelectableWritable` in interface `CoreHandler`

### onSelectableExpired

public void onSelectableExpired(Event e)

Specified by:
  `onSelectableExpired` in interface `CoreHandler`

### onSelectableError

public void onSelectableError(Event e)

Specified by:
  `onSelectableError` in interface `CoreHandler`

### onSelectableFinal

public void onSelectableFinal(Event e)

Specified by:
  `onSelectableFinal` in interface `CoreHandler`

### onUnhandled

public void onUnhandled(Event event)

Specified by:
  `onUnhandled` in interface `Handler`

### add

public void add(Handler child)

Specified by:
  `add` in interface `Handler`

### children

public Iterator<Handler> children()

Specified by:
  `children` in interface `Handler`

### handle

public void handle(Event e)
Description copied from interface: `Handler`
Handle the event in this instance. This is the second half of `Event.dispatch(Handler)`. The method must invoke a concrete onXxx method for the given event, or invoke it's `Handler.onUnhandled(Event)` method if the `EventType` of the event is not recognized by the handler.

Note: The handler is not supposed to invoke the `Handler.handle(Event)` method on it's `Handler.children()`, that is the responsibility of the `Event.dispatch(Handler)`

Specified by:
  `handle` in interface `Handler`
Parameters:
  `e` - The event to handle
See Also:
  - `BaseHandler`